//+------------------------------------------------------------------+
//|                                                       b-Lots.mqh |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//|                                                                  |
//|  21.12.2005      .            |
//+------------------------------------------------------------------+

//-------    -----------------------------------
extern string _Parameters_b_Lots = "----------    ";
extern int LotsWayChoice  = 0;    //    :
                                  //  0-,
                                  //  1-  ,
                                  //  2--,
                                  //  3--,
extern double Lots        = 0.1;  //   
extern int LotsPercent    = 10;   //   
extern int LotsDeltaDepo  = 500;  //   
extern int LotsDepoForOne = 500;  //     
extern int LotsMax        = 1000; //   


//+------------------------------------------------------------------+
//|      (  ) |
//+------------------------------------------------------------------+
double GetSizeLot()
{
  double dLot;

  if (LotsWayChoice==0) dLot=Lots;

  //    
  if (LotsWayChoice==1)
  {
    dLot=MathCeil(AccountFreeMargin()/10000*LotsPercent)/10;
  }

  // -
  if (LotsWayChoice==2)
  {
    int k=LotsDepoForOne;
    for (double i=2; i<=LotsMax; i++)
    {
      k=k+i*LotsDeltaDepo;
      if (k>AccountFreeMargin())
      {
        dLot=(i-1)/10; break;
      }
    }
  }

  // -
  if (LotsWayChoice==3)
  {
    dLot=MathCeil((AccountFreeMargin()-LotsDepoForOne)/LotsDeltaDepo)/10;
  }

  if (dLot<0.1) dLot=0.1;
  return(dLot);
}
//+------------------------------------------------------------------+

